package com.junmp.jyzb.api.bean.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class OrderDto implements Serializable {

    private String isPrint;
    private String id;
    /**
     * 单据类型：入库单/出库单
     */
    private String orderType;
    /**
     * 工作流ID
     */
    private String  processId;
    /**
     * 单据业务类型
     */
    private String  bussinessType;
    /**
     * 业务单据编号
     */

    private String bussinessCode;
    /**
     * 订单号
     */
    private String  orderCode;
    /**
     * 发物单位
     */
    private String  startOrgId;
    /**
     * 发物单位名称
     */
    private String  startOrgName;
    /**
     * 供应商名称
     */
    private String supplierId;
    private String supplierName;
    /**
     * 收物单位
     */
    private String  endOrgId;
    /**
     * 收物单位名称
     */
    private String  endOrgName;
    /**
     * 发物单位负责人id
     */
    private String  startOrgUserId;
    /**
     * 发物单位负责人姓名
     */
    private String  startOrgUserName;
    /**
     * 收物单位负责人id
     */
    private String  endOrgUserId;
    /**
     * 收物单位负责人姓名
     */
    private String  endOrgUserName;
    /**
     * 总价格
     */
    private BigDecimal price;
    /**
     * 应入库数量
     */
    private String  inventoryQuantity;
    /**
     * 单据包含的物资集合
     */
    private String  invList;
    private Integer actualQuantity;

    /**
     * 明细列表
     */
    private List<OrderDetailDto>  detailList;

    private Date useDate;

    private String createUser;
    private String allocateType;


    /**
     * 附件地址
     */
    private String  attachmentLocation;
    /**
     * 归还人id，归还入库特有(相当于领用人)
     */
    private String returnUserId;

    private String returnUser;

    /**
     * 移入仓库id
     */
    private String locationId;
    /**
     * 移入仓库名称
     */
    private String locationName;

    /**
     * 移入仓库id
     */
    private String removeLocationId;
    /**
     * 移入仓库名称
     */
    private String removeLocationName;

    private String note;

}
